## List the entries of a parameter table (tenant:masterdata:read)

`GET /api/masterdata/lookups/{kind}`

Module: Master data · operationId: `listLookupEntries` · Tag: Lookups · Auth: access token (`Authorization: Bearer <accessToken>`)

Ordered by `sortOrder`, then code. An unknown kind answers `404`.

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `active` | query | boolean |  | `true` returns active entries only (for selects) (default `false`) |
| `kind` | path | LookupKind | yes | Parameter table (one of `address-statuses`, `currencies`, `industries`, `payment-methods`, `payment-terms`, `salutations`, `shipping-types`, `tax-keys`, `units`) |

### Responses

- **200** Entries (`application/json`)
- **401** Missing, invalid or expired token (empty body)
- **403** The token lacks the permission or carries no tenant (`application/json`)
- **404** Not found in the caller's tenant (or merged, see `code`) (`application/json`)

Fields of the 200 answer:

- `items` (array of LookupEntry, required)
  - `name` (string, required): Display name (max length 128)
  - `code` (string, read-only): Taken from the path on write
  - `isActive` (boolean): Offered in selects (default `true`)
  - `sortOrder` (integer): Position in the table (default `0`)
  - `updatedAt` (string (date-time), read-only): Time of the last change

Example 200 answer:

```json
{
  "items": [
    {
      "code": "NETTO30",
      "isActive": true,
      "name": "30 Tage netto",
      "netDays": 30,
      "sortOrder": 0,
      "text": "Zahlbar innerhalb von 30 Tagen ohne Abzug.",
      "updatedAt": "2026-01-02T08:00:00Z"
    },
    {
      "code": "SKONTO14",
      "isActive": true,
      "name": "14 Tage 2 % Skonto, 30 Tage netto",
      "netDays": 30,
      "skontoDays1": 14,
      "skontoRate1": 2,
      "sortOrder": 1,
      "text": "Zahlbar innerhalb von 14 Tagen mit 2 % Skonto oder 30 Tagen ohne Abzug.",
      "updatedAt": "2026-01-02T08:00:00Z"
    }
  ]
}
```

### Example request

```bash
curl -X GET 'https://api.mbcom.cloud/api/masterdata/lookups/address-statuses' \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```
